Skip to navigation

Create a group

View as Markdown
Creates a new group. Must include the displayName attribute. Users can be added to the group during creation by supplying the user ID values in the members array attribute.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Query parameters

countintegerOptional
The number of records returned per page in the response.
filterstringOptional
The filter used to filter the group, either by organization id.
startIndexintegerOptional
The index number of the page that you want to retrieve. You must set count before specifying startIndex. For example, if you set count to 20 and startIndex to 2, the 21st to 40th records are returned in the response.

Request

This endpoint expects an object.
schemaslist of stringsOptional
List of schema URNs defining the structure of the group resource.
displayNamestringOptional
Name of the group.
urn:zuora:scim:schemas:1.0:GroupExtensionobjectOptional

Response headers

Content-EncodingstringOptional
RateLimit-LimitstringOptional
RateLimit-Remainingdouble
RateLimit-Resetdouble
Zuora-Request-IdstringOptional
Zuora-Track-IdstringOptional

Response

Created
schemaslist of stringsOptional
idstringOptional
Unique identifier for the group.
displayNamestringOptional
Name of the group.
urn:zuora:scim:schemas:1.0:GroupExtensionobjectOptional
Custom extension schema with additional group attributes.
metaobjectOptional
Metadata about the resource.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error